All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::ClusteringParameters Struct Reference

`#include <Clustering.h>`

Inheritance diagram for faiss::ClusteringParameters:

## Public Member Functions

| ClusteringParameters ()
| sets reasonable defaults

## Public Attributes

int | niter
| clustering iterations
int | nredo
| redo clustering this many times and keep best
bool | verbose
bool | spherical
| do we want normalized centroids?
bool | update_index
| update index after each iteration?
bool | frozen_centroids
| use the centroids provided as input and do not change them during iterations
int | min_points_per_centroid
| otherwise you get a warning
int | max_points_per_centroid
| to limit size of dataset
int | seed
| seed for the random number generator

## Detailed Description

Class for the clustering parameters. Can be passed to the constructor of the Clustering object.

Definition at line 24 of file Clustering.h.

The documentation for this struct was generated from the following files:

- /data/users/matthijs/github_faiss/faiss/Clustering.h
- /data/users/matthijs/github_faiss/faiss/Clustering.cpp